/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilefunctionparser
#define headerfilefunctionparser

#include "request.h"
#include "log.h"
#include "item.h"
#include "error.h"
#include "data.h"
#include "db.h"

#ifdef APPFUNCTIONS	
#include "../app/content.h"
#endif

class FunctionParser
{
	GetTable::size_type get_index;
	GetTable::size_type get_table_len;
	
	void SkipEmptyString(const char * msg);
	
	void ParseDirectories();
	void ParseItem();
	bool IsAppFunction();
	void ParseFunction();
	void ParseParams();

public:


	void Parse();


};


#endif
