/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilefunctions
#define headerfilefunctions

#include <map>
#include <string>
#include "function.h"
#include "functioncodeparser.h"



class Functions
{

typedef std::map<std::string, Function> Table;
Table table;

public:



	void Clear();
	void ReadFunctions();

	Function * GetFunction(const std::string & name);
	Function * GetFunction(int code);



};



#endif
