/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilegroup
#define headerfilegroup

#include <string>
#include <vector>



struct Group
{
	long id;
	std::string name; // group name
	std::vector<long> members; // users id
	
	Group()
	{
		Clear();
	}
	
	
	void Clear()
	{
		id = -1;
		name.clear();
		members.clear();	
	}
	
};





#endif
