/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilesessionmanager
#define headerfilesessionmanager

#include <set>
#include <ctime>

#include "request.h"
#include "log.h"
#include "data.h"
#include "session.h"
#include "db.h"
#include "sessioncontainer.h"



class SessionManager
{
	// !! zamienic na map
	//typedef std::set<Session> SessionTable;
	//SessionTable session_table;
	
	SessionContainer session_table;



	bool IsSession(long s);
	
	long CreateSessionId();
	void CreateTemporarySession();
	void CreateSession();

public:


	void SetSession();
	void DeleteOldSessions();
	
	SessionContainer::Iterator SessionBegin();
	SessionContainer::Iterator SessionEnd();
};


#endif
